Qt 5.11 | Qt 3D | C++ Classes | QSpriteGrid

Qt 5.11.3 Reference Documentation

# QSpriteGrid Class

(Qt3DExtras::QSpriteGrid)

Inherits: | Qt3DExtras::QAbstractSpriteSheet

- List of all members, including inherited members

## Properties

- columns : int
- rows : int

- 3 properties inherited from Qt3DExtras::QAbstractSpriteSheet
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSpriteGrid(Qt3DCore::QNode *parent = nullptr)
virtual | ~QSpriteGrid()
int | columns() const
int | rows() const

- 3 public functions inherited from Qt3DExtras::QAbstractSpriteSheet
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setColumns(int columns)
void | setRows(int rows)

- 2 public slots inherited from Qt3DExtras::QAbstractSpriteSheet
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | columnsChanged(int columns)
void | rowsChanged(int rows)

- 3 signals inherited from Qt3DExtras::QAbstractSpriteSheet
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### columns : int

Access functions:

int | columns() const
void | setColumns(int columns)

Notifier signal:

void | columnsChanged(int columns)

### rows : int

Access functions:

int | rows() const
void | setRows(int rows)

Notifier signal:

void | rowsChanged(int rows)

## Member Function Documentation

### QSpriteGrid::QSpriteGrid(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSpriteGrid instance with parent object parent.

### `[virtual]` QSpriteGrid::~QSpriteGrid()

Destroys the instance of QSpriteGrid. The destructor is virtual.